org.apache.felix.ipojo.manipulator.metadata.annotation.registry

## Class Binding

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.Binding

Direct Known Subclasses:
  NullBinding

    public class Binding
    extends Object

Triple storing the source annotation, the associated factory and the predicate for conditional support.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Binding()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.Type` `getAnnotationType()`
`AnnotationVisitorFactory` `getFactory()`
`Predicate` `getPredicate()`
`void` `setAnnotationType(org.objectweb.asm.Type annotationType)`
`void` `setFactory(AnnotationVisitorFactory factory)`
`void` `setPredicate(Predicate predicate)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Binding

    public Binding()

### Method Detail

#### getAnnotationType

    public org.objectweb.asm.Type getAnnotationType()

#### setAnnotationType

    public void setAnnotationType(org.objectweb.asm.Type annotationType)

#### getFactory

    public AnnotationVisitorFactory getFactory()

#### setFactory

    public void setFactory(AnnotationVisitorFactory factory)

#### getPredicate

    public Predicate getPredicate()

#### setPredicate

    public void setPredicate(Predicate predicate)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`